<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
<link href='http://fonts.googleapis.com/css?family=Roboto+Slab' rel='stylesheet' type='text/css'>
<link href="objetos.css" rel="stylesheet" type="text/css">
<script src="o2.js"></script>
</head>

<body>
<div class="cajas entrada">
<pre>
	class Animal{
    
		static pelo="si";
	
		constructor(){
			this.peso=0;
		}
		
		
		comer(){
			console.log("ÑAN");
		};
	
		tienePelo(){
			/* dentro de un metodo no estatico si podemos acceder a miembros estaticos */
			console.log("tiene pelo??" + Animal.pelo);
		};
		
		static estatico(){
			console.log("esto es un elemento de la clase");
			/* dentro de un elemento estatico no puedo llamar a elementos no estaticos 
			this.comer();
			*/
			console.log(Animal.pelo);
		};
	};
	
	
	const leon=new Animal();
	/* Produce error ya que es un metodo de la clase y no del objeto 
	leon.estatico();
	*/
	Animal.estatico();
	console.log(Animal.pelo);
	leon.tienePelo();
	/* Esto esta vacio porque es un elemento de la clase y no del objeto
	console.log(leon.pelo);
	*/
</pre>
</div>
<div class="cajas salida" >
<div class="titulo">
Ejercicio 2
</div>
<div class="explicacion">
Vamos a analizar como interactuan los miembros estaticos con los que no lo son.
</div>
</div>
</body>
</html>
